%global pkg_name        B-Deobfuscate
%global pkg_version     0.20
%global rpm_pkg_version 0.20
%global rpm_pkg_release 1.n0i.6


Summary:       Deobfuscation support utility
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JJ/JJORE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl
Requires:      perl(B::Keywords) >= 1.04
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(B::Keywords) >= 1.04}
%{!?_without_test:BuildRequires: perl(YAML)}


%description
B::Deobfuscate is a backend module for the Perl compiler that generates
perl source code, based on the internal compiled structure that perl itself
creates after parsing a program. It adds symbol renaming functions to the
B::Deparse module. An obfuscated program is already parsed and interpreted
correctly by the B::Deparse program. Unfortunately, if the obfuscation
involved variable renaming then the resulting program also has obfuscated
symbols.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Mon Oct 08 2007 Marius Feraru <altblue@n0i.net> - 0.20-1.n0i.6
- version 0.20

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.18-2.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Wed May 09 2007 Marius Feraru <altblue@n0i.net> - 0.18-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.5
- rebuild on perl 5.8.8

* Sat Jul 08 2006 Marius Feraru <altblue@n0i.net> - 0.14-1.n0i.3
- version 0.14

* Wed Jun 28 2006 Marius Feraru <altblue@n0i.net> - 0.13-1.n0i.2
- version 0.13

* Wed Aug 03 2005 Marius Feraru <altblue@n0i.net> 0.10-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
